@font-face {
    font-family: 'Agency FB';
    src: url('fonts/AGENCYR.TTF');
}

html, body {
    margin: 0;
    height: 100%;
    background-color: #202024;
    color: #a0a0a0;
    font-family: "Agency FB", sans-serif;
}

hr {
    content: " ";
    margin: 2.75rem 0.5em;
    height: 1px;
    background-color: #7000c0;
    border-width: 0;
}
    
hr, .vr {
    border-color: #7000c0;
}

.vr {
    display: block;
    margin: 0 0.5em;
    width: 1px;
    background-color: #7000c0;
}

h1 {
    display: flex;
    white-space: nowrap;
    align-items: center;
}

h2 {
    text-align: center;
    color: #7000c0;
}

h1:before, h1:after{
    content: " ";
    margin: 0.5em;
    width: 100%;
    height: 1px;
    background-color: #7000c0;

}

.header {
    position: fixed;
    z-index: 1;
    top: 0;
    width: 100%;
    background-color: #540090;
    border-bottom: 1rem solid #7000c0;
    font-weight: bold;
    font-size: 1.625rem;
}

.header_container {
    display: flex;
    justify-content: center;
}

.navigation {
    display: flex;
    width: 57rem;
    padding: 0 1.5rem;
}

.navigation_list {
    display: flex;
    margin: 0;
    padding: 0;
    border-right: 1px solid #380060;
}

.navigation_list_item {
    display: block;
    border-left: 1px solid #380060;
}

.navigation_brand_name {
    position: absolute;
    display: block;
    margin: 0 auto;
    line-height: 1.5rem;
    color: #a0a0a0;
    align-self: center;
    text-align: center;
    //text-shadow: rgba(0,0,0,0.8) 1px 0 10px;
    text-decoration: none;
}

.navigation_logo {
    width: 3rem;
    height: 3rem;
    padding: 0.125rem 0.5rem 0;
}

.navigation_link {
    display: block;
    line-height: 3.5rem;
    color: #a0a0a0;
    text-decoration: none;
    padding: 0 0.5rem;
    transition: background-color .5s;
}

.navigation_link:hover {
    background-color: #8000e0;
}

.current {
    background-color: #7000c0;
    border-bottom: 0.0625rem solid #540090;
}

.music_player {
    margin: auto 0.5rem;
}

.container {
    display: flex;
    justify-content: center;
    min-height: calc(100% - 9.125rem);
    padding-top: 4.5625rem;
    padding-bottom: 4.5625rem;
}

main {
    font-size: 1.125rem;
    min-height: 100%;
    max-width: 57rem;
    padding: 1.5rem;
    background-color: #101014;
}

main img {
    object-fit: cover;
    width: 100%;
}

.slider-holder
{
    text-align: center;
    overflow: hidden;
}

.image-holder
{
    display: flex;
    width: 285rem;
    position: relative;
    transition: left 2s;
}

.slider-image
{
    width: 57rem;
    height: 32rem;
}

#slider-image-1:target ~ .image-holder
{
    left: 0;
}

#slider-image-2:target ~ .image-holder
{
    left: -912px;
}

#slider-image-3:target ~ .image-holder
{
    left: -1824px;
}

#slider-image-4:target ~ .image-holder
{
    left: -2736px;
}

#slider-image-5:target ~ .image-holder
{
    left: -3648px;
}

.button-holder
{
    position: relative;
    height: 0;
    bottom: 2rem;
}

.slider-change
{
    display: inline-flex;
    height: 1rem;
    width: 1rem;
    border-radius: 50%;
    opacity: 50%;
    background-color: #540090;
    transition: opacity, background-color .5s;
}

.slider-change:hover {
    opacity: 100%;
    background-color: #7000c0;
}

.navigation_image_link {
    position: relative;
    z-index: 0;
    display: block;
    overflow: hidden;
    margin: 0 0 0.5em;
    width: 57rem;
    line-height: 16rem;
    text-decoration: none;
    text-align: center;
    border: 1px solid #7000c0;
    transition: filter .5s;
}

.navigation_image_link h2 {
    margin: 0;
    color: #c0c0c0;;
    background:
            radial-gradient(rgba(0,0,0,0.5), rgba(112,0,192,0.1));
    transition: color .5s;

}

.blurred_background_image {
    position: absolute;
    z-index: -1;
    height: 100%;
    top: 0;
    left: 0;
    filter: blur(4px);
}

#programming_image_link {
    margin: 0;
}

.navigation_image_link:hover {
    filter: opacity(66%);
}

.navigation_image_link h2:hover {
    color: #fff;
}

.about_knowledge, .about_resume, .cv_contact, .cv_section {
    display: flex;
    justify-content: center;
}

.about_knowledge_column {
    width: 33%;
}

.about_resume_column {
    width: 50%;
    text-align: center;
}

.resume_ordered_list {
    list-style: none;
    padding: 0;
}

.resume_unordered_list {
    margin: auto;
    padding: 0;
    width: fit-content;
}

.sidebar {
    min-height: 100%;
    width: 18.75rem;
    background-color: #101014;
    /*border-left: 0.0625rem solid #7000c0;*/
}

.sidebar_navigation_list {
    border-top: 1px solid #7000c0;
}

.sidebar_navigation_list_item {
    display: block;
    height: 3.5rem;
    border-bottom: 1px solid #7000c0;
}

.sidebar_navigation_link {
    display: block;
    line-height: 3.5rem;
    color: #7000c0;
    text-decoration: none;
    font-family: "Agency FB", sans-serif;
    font-size: 1.625rem;
    text-align: center;
    transition: background-color .5s;
}

.sidebar_navigation_link:hover {
    background-color: #181818;
}

@media (max-width: 1280px) {
    .sidebar {
        display: none;
    }
}

.footer {
    display: flex;
    position: fixed;
    bottom: 0;
    width: calc(100% - 1.125rem);
    border-top: 1px solid #7000c0;
    padding: 0 0.5625rem;
    background-color: #202024;
    justify-content: center;
}

.footer_container {
    width: 57rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: "Arial", sans-serif;
    text-align: center;
}

.legal {
    display: flex;
    align-items: center;
    text-align: center;
}

.footer_logo {
    width: 4rem;
    height: 4rem;
}

.contact_info {
    margin: 0.5625rem 0 0.0625rem;
    font-size: smaller;
    font-style: normal;
}

.contact_info a {
    color: #a0a0a0;;
    transition: color .5s;
}

.social_media_buttons {
    font-size: 2rem;
    margin-top: 0.5625rem;
}

.social_media_buttons a {
    transition: color .5s;
    text-decoration: none;
}

.contact_info a:hover {
    color: #fff;;
}

.socicon-youtube:before {
    content: "\e0a5";
}
.socicon-moddb:before {
    content: "\e94b";
}
.socicon-steam:before {
    content: "\e07e";
}
.socicon-discord:before {
    content: "\e01d";
}
.socicon-facebook:before {
    content: "\e028";
}
.socicon-twitter:before {
    content: "\e08d";
}
.socicon-googleplus:before {
    content: "\e038";
}
.socicon-linkedin:before {
    content: "\e04c";
}

.image_container {
    display: flex;
    justify-content: center;
}

.image_container img {
    border-radius: 100%;
    border: 2px solid #7000c0;
    width: auto;
}

.cv_contact_header {
    text-align: left;
    margin: 0;
}

.cv_icons {
    color: #7000c0;
    font-family: "Segoe UI Symbol";
    font-size: 2.375rem;
    margin: 0 1rem;
}

.cv_email_address {
    font-style: normal;
    text-decoration: none;
    color: #a0a0a0;
    transition: color .5s;
}

.cv_email_address:hover {
    color: #fff;
    transition: color .5s;
}

.cv_column {
    width: 50%;
}

.cv_column h2 {
    text-align: left;
}

.cv_column h3 {
    margin: 0;
}

.cv_vr {
    display: block;
    margin: 2.11em 0.5em 0;
    width: 1px;
    background-color: #7000c0;
}
